Replace Prospect Notes
curl --request POST \
--url https://api.goextrovert.com/client/v2/prospects/{id}/replace-notes \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"notes": "<string>"
}
'import requests
url = "https://api.goextrovert.com/client/v2/prospects/{id}/replace-notes"
payload = { "notes": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({notes: '<string>'})
};
fetch('https://api.goextrovert.com/client/v2/prospects/{id}/replace-notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.goextrovert.com/client/v2/prospects/{id}/replace-notes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'notes' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.goextrovert.com/client/v2/prospects/{id}/replace-notes"
payload := strings.NewReader("{\n \"notes\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.goextrovert.com/client/v2/prospects/{id}/replace-notes")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"notes\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.goextrovert.com/client/v2/prospects/{id}/replace-notes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"notes\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
"updatedAt": "2025-06-30T14:02:07.456Z",
"createdAt": "2025-06-30T14:02:07.456Z",
"lastPostsFetchStatus": "<string>",
"isDeleted": true,
"isImportant": true,
"type": "<string>",
"linkedInProfile": {
"id": "<string>",
"updatedAt": "2025-06-30T14:02:07.456Z",
"createdAt": "2025-06-30T14:02:07.456Z",
"name": "<string>",
"headline": "<string>",
"linkedInUrl": "<string>",
"avatarUrl": "<string>"
},
"list": {
"id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
"name": "<string>",
"description": "<string>"
},
"lastNewPostsObtainFinishDate": "2025-06-30T14:02:07.456Z",
"notes": "<string>",
"parentTargetUser": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"notes": "<string>",
"linkedInProfile": {
"id": "<string>",
"updatedAt": "2025-06-30T14:02:07.456Z",
"createdAt": "2025-06-30T14:02:07.456Z",
"name": "<string>",
"headline": "<string>",
"linkedInUrl": "<string>",
"avatarUrl": "<string>"
}
},
"statistics": {
"totalPostsCount": 123,
"answeredPostsCount": 123,
"pendingPostsAnswersCount": 123,
"postsLikesCount": 123,
"weeklyPostFrequency": 123,
"indirectPostsLikesCount": 123,
"indirectAnsweredPostsCount": 123,
"indirectPendingResponseCommentsCount": 123,
"lastNewSuccessPostsTotalCount": 123,
"totalIndirectPostActivitiesCount": 123,
"weeklyIndirectPostActivityFrequency": 123,
"totalAnsweredPostsCount": 123,
"oldestPostDate": "2025-06-30T14:02:07.456Z",
"newestPostDate": "2025-06-30T14:02:07.456Z",
"oldestPostAnswerDate": "2025-06-30T14:02:07.456Z",
"newestPostAnswerDate": "2025-06-30T14:02:07.456Z",
"lastNewSuccessPostsObtainFinishDate": "2025-06-30T14:02:07.456Z",
"indirectOldestResponseCommentDate": "2025-06-30T14:02:07.456Z",
"indirectNewestResponseCommentDate": "2025-06-30T14:02:07.456Z",
"newestPostReactionDate": "2025-06-30T14:02:07.456Z",
"totalOldestResponseCommentDate": "2025-06-30T14:02:07.456Z",
"totalNewestResponseCommentDate": "2025-06-30T14:02:07.456Z"
},
"campaign": {
"id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
"name": "<string>",
"description": "<string>"
},
"sharedBy": {
"id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
"name": "<string>",
"description": "<string>"
},
"user": {
"id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
"name": "<string>",
"description": "<string>"
},
"userConnection": {
"id": "<string>",
"updatedAt": "2025-06-30T14:02:07.456Z",
"createdAt": "2025-06-30T14:02:07.456Z",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prospectLinkedInProfileId": "<string>",
"status": "<string>",
"wasConnectionRequestSuccessfulAttemptMade": true,
"connectedDate": "2025-06-30T14:02:07.456Z",
"connectionRequestSuccessfulAttemptMadeDate": "2025-06-30T14:02:07.456Z",
"latestDmHistoryMessageDate": "2025-06-30T14:02:07.456Z"
}
},
"message": "Operation completed successfully"
}{
"status": "error",
"data": null,
"message": "An error occurred while processing the request"
}Prospects
Replace Prospect Notes
Replaces the relationship note on a real LEAD prospect. Empty text clears it. Existing campaign permissions apply; drafts and automation state are unchanged.
POST
/
client
/
v2
/
prospects
/
{id}
/
replace-notes
Replace Prospect Notes
curl --request POST \
--url https://api.goextrovert.com/client/v2/prospects/{id}/replace-notes \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"notes": "<string>"
}
'import requests
url = "https://api.goextrovert.com/client/v2/prospects/{id}/replace-notes"
payload = { "notes": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({notes: '<string>'})
};
fetch('https://api.goextrovert.com/client/v2/prospects/{id}/replace-notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.goextrovert.com/client/v2/prospects/{id}/replace-notes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'notes' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.goextrovert.com/client/v2/prospects/{id}/replace-notes"
payload := strings.NewReader("{\n \"notes\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.goextrovert.com/client/v2/prospects/{id}/replace-notes")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"notes\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.goextrovert.com/client/v2/prospects/{id}/replace-notes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"notes\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
"updatedAt": "2025-06-30T14:02:07.456Z",
"createdAt": "2025-06-30T14:02:07.456Z",
"lastPostsFetchStatus": "<string>",
"isDeleted": true,
"isImportant": true,
"type": "<string>",
"linkedInProfile": {
"id": "<string>",
"updatedAt": "2025-06-30T14:02:07.456Z",
"createdAt": "2025-06-30T14:02:07.456Z",
"name": "<string>",
"headline": "<string>",
"linkedInUrl": "<string>",
"avatarUrl": "<string>"
},
"list": {
"id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
"name": "<string>",
"description": "<string>"
},
"lastNewPostsObtainFinishDate": "2025-06-30T14:02:07.456Z",
"notes": "<string>",
"parentTargetUser": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"notes": "<string>",
"linkedInProfile": {
"id": "<string>",
"updatedAt": "2025-06-30T14:02:07.456Z",
"createdAt": "2025-06-30T14:02:07.456Z",
"name": "<string>",
"headline": "<string>",
"linkedInUrl": "<string>",
"avatarUrl": "<string>"
}
},
"statistics": {
"totalPostsCount": 123,
"answeredPostsCount": 123,
"pendingPostsAnswersCount": 123,
"postsLikesCount": 123,
"weeklyPostFrequency": 123,
"indirectPostsLikesCount": 123,
"indirectAnsweredPostsCount": 123,
"indirectPendingResponseCommentsCount": 123,
"lastNewSuccessPostsTotalCount": 123,
"totalIndirectPostActivitiesCount": 123,
"weeklyIndirectPostActivityFrequency": 123,
"totalAnsweredPostsCount": 123,
"oldestPostDate": "2025-06-30T14:02:07.456Z",
"newestPostDate": "2025-06-30T14:02:07.456Z",
"oldestPostAnswerDate": "2025-06-30T14:02:07.456Z",
"newestPostAnswerDate": "2025-06-30T14:02:07.456Z",
"lastNewSuccessPostsObtainFinishDate": "2025-06-30T14:02:07.456Z",
"indirectOldestResponseCommentDate": "2025-06-30T14:02:07.456Z",
"indirectNewestResponseCommentDate": "2025-06-30T14:02:07.456Z",
"newestPostReactionDate": "2025-06-30T14:02:07.456Z",
"totalOldestResponseCommentDate": "2025-06-30T14:02:07.456Z",
"totalNewestResponseCommentDate": "2025-06-30T14:02:07.456Z"
},
"campaign": {
"id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
"name": "<string>",
"description": "<string>"
},
"sharedBy": {
"id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
"name": "<string>",
"description": "<string>"
},
"user": {
"id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
"name": "<string>",
"description": "<string>"
},
"userConnection": {
"id": "<string>",
"updatedAt": "2025-06-30T14:02:07.456Z",
"createdAt": "2025-06-30T14:02:07.456Z",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prospectLinkedInProfileId": "<string>",
"status": "<string>",
"wasConnectionRequestSuccessfulAttemptMade": true,
"connectedDate": "2025-06-30T14:02:07.456Z",
"connectionRequestSuccessfulAttemptMadeDate": "2025-06-30T14:02:07.456Z",
"latestDmHistoryMessageDate": "2025-06-30T14:02:07.456Z"
}
},
"message": "Operation completed successfully"
}{
"status": "error",
"data": null,
"message": "An error occurred while processing the request"
}Authorizations
API Key for authentication
Path Parameters
Body
application/json
Exact manual note text; empty clears. Maximum 2000 characters.
Maximum string length:
2000